from django.urls import path

from accounts.views import (
    login_view, dashboard, customer_list, add_customer_ajax, edit_customer_ajax, 
    get_customer_data, get_customer_details, get_customer_wells, get_customer_requests, logout_view
)

app_name = "accounts"
urlpatterns = [
    path('', login_view, name='login'),
    path('logout/', logout_view, name='logout'),
    path('dashboard/', dashboard, name='dashboard'),
    path('customers/', customer_list, name='customer_list'),
    path('customers/add/', add_customer_ajax, name='add_customer_ajax'),
    path('customers/<int:customer_id>/data/', get_customer_data, name='get_customer_data'),
    path('customers/<int:customer_id>/edit/', edit_customer_ajax, name='edit_customer_ajax'),
    path('customers/<int:customer_id>/details/', get_customer_details, name='get_customer_details'),
    path('customers/<int:customer_id>/wells/', get_customer_wells, name='get_customer_wells'),
    path('customers/<int:customer_id>/requests/', get_customer_requests, name='get_customer_requests'),
]